import type ProgressCallback from '../../../interfaces/ProgressCallback.interface';
export default abstract class PrepareStrategy {
    protected path: string;
    protected patterns: string[];
    constructor({ path }: {
        path: string;
    });
    abstract execute(to: string, onProgressCallback?: ProgressCallback): Promise<void>;
    static getPrepareStrategy(path: string): Promise<PrepareStrategy>;
}
